Page MenuHomePhabricator

Portal Dashboard: does not display US stats when grouping by region
Closed, ResolvedPublic4 Story Points

Description

Found this on the Wikipedia Portal dashboard, while on the http://discovery.wmflabs.org/portal/#country_breakdown page and when grouping the US regions together - the US total stats don't appear.

Event Timeline

debt created this task.Mar 30 2017, 4:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 30 2017, 4:29 PM
chelsyx added a subscriber: chelsyx.

Looking into this problem.

On another dashboard http://discovery.wmflabs.org/portal/#all_country, the continent/region groupings went wrong. Not sure if this problem comes from the same source.

mpopov claimed this task.Apr 7 2017, 6:50 PM
mpopov raised the priority of this task from Normal to High.
mpopov set the point value for this task to 4.

Change 347110 had a related patch set uploaded (by Bearloga):
[wikimedia/discovery/prince@master] Fix U.S. grouping

https://gerrit.wikimedia.org/r/347110

mpopov reassigned this task from mpopov to chelsyx.Apr 7 2017, 8:58 PM
mpopov added a subscriber: mpopov.

Okay, I fixed the problem described in the ticket: https://gerrit.wikimedia.org/r/#/c/347110/ but have no idea where to even start with fixing the full geo breakdown so I'm handing this back to Chelsy.

Done. https://gerrit.wikimedia.org/r/#/c/347110/2/

Okay, I fixed the problem described in the ticket: https://gerrit.wikimedia.org/r/#/c/347110/ but have no idea where to even start with fixing the full geo breakdown so I'm handing this back to Chelsy.

Patch live on https://discovery-beta.wmflabs.org/portal/#all_country; still need to do thorough CR but everything looks OK from a quick glance

Change 347110 merged by Bearloga:
[wikimedia/discovery/prince@master] Fix U.S. grouping & full geo match bug

https://gerrit.wikimedia.org/r/347110

Change 347776 had a related patch set uploaded (by Bearloga):
[wikimedia/discovery/dashboard@master] Deploy fixes

https://gerrit.wikimedia.org/r/347776

Change 347776 merged by Bearloga:
[wikimedia/discovery/dashboard@master] Deploy fixes

https://gerrit.wikimedia.org/r/347776

Fix is live in production. Thanks, @chelsyx!

Change 347798 had a related patch set uploaded (by Chelsyx):
[wikimedia/discovery/prince@master] Fix data path in ui.R for full geo dashboard

https://gerrit.wikimedia.org/r/347798

@mpopov This is the fix for the date range on full geo dashboard:
https://gerrit.wikimedia.org/r/347798

Sorry it is late... :(

Change 347798 merged by Bearloga:
[wikimedia/discovery/prince@master] Fix data path in ui.R for full geo dashboard

https://gerrit.wikimedia.org/r/347798

debt closed this task as Resolved.Apr 13 2017, 2:43 PM

Yay!